Subject: Re: bug#73084: [PATCH] Include the variable name in the `setopt` warning
From: Eli Zaretskii <[email-masked]>
To: Okamsn <[email-masked]>
Cc: [email-masked]
Date: Sun, 08 Sep 2024 09:21:59 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 07 Sep 2024 00:23:00 +0000
> From:  Okamsn via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> The attached patch adds the variable name to the `setopt` warning.
> 
> I write my Emacs config in an Org file, from which I make the Emacs Lisp 
> file.  Currently, if `setopt` detects that the value I wish to make a 
> variable hold does not conform to the variable's Custom.el type, then it 
> reports the type and the problematic value, but not the variable itself, 
> when I open Emacs.  This adds extra steps to editing the code in the Org 
> file to fix the warning, especially when the value is created 
> programmatically.  It would be faster to search for the variable name 
> directly in the Org file and to then re-tangle the Org file.

Thanks, I made the warning say

  Value `foo' for variable `bar' does not match its type "type"

I installed this on the master branch, and I'm therefore closing this
bug.